.item-text-float {
  display: block;
  width: 100%;
  position: relative;
  border-radius: var(--section-card-radius);
  overflow: hidden;
}
.item-text-float .item-image {
  display: block;
  width: 100%;
}
.item-text-float .item-image img {
  width: 100%;
  object-fit: cover;
}
.item-text-float .item-content {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: var(--card-space-small);
  display: flex;
  flex-direction: column;
  gap: var(--grid-gap-small);
  z-index: 2;
  transition: transform 0.4s ease, opacity 0.4s ease;
}

.item-text-float .item-content.top-left,
.item-text-float .item-content.center-left,
.item-text-float .item-content.bottom-left {
  align-items: flex-start;
  text-align: start;
}

.item-text-float .item-content.top-center,
.item-text-float .item-content.center,
.item-text-float .item-content.bottom-center {
  align-items: center;
  text-align: center;
}

.item-text-float .item-content.top-right,
.item-text-float .item-content.center-right,
.item-text-float .item-content.bottom-right {
  align-items: flex-end;
  text-align: end;
}

.item-text-float .item-content.top-left,
.item-text-float .item-content.top-center,
.item-text-float .item-content.top-right {
  justify-content: flex-start;
}
.item-text-float .item-content.center-left,
.item-text-float .item-content.center,
.item-text-float .item-content.center-right {
  justify-content: center;
}
.item-text-float .item-content.bottom-left,
.item-text-float .item-content.bottom-center,
.item-text-float .item-content.bottom-right {
  justify-content: flex-end;
}

/* .item-text-float .item-content .item-title {
  color: #fff !important;
} */
.item-text-float .item-content .item-desc {
  /* color: #fff !important; */
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  color: var(--text-color);
}
/* .item-text-float .item-content .item-date {
  color: #fff !important;
} */

.item-text-float .item-content.top-left .button-list,
.item-text-float .item-content.center-left .button-list,
.item-text-float .item-content.bottom-left .button-list {
  justify-content: flex-start;
}

.item-text-float .item-content.top-center .button-list,
.item-text-float .item-content.center .button-list,
.item-text-float .item-content.bottom-center .button-list {
  justify-content: center;
}

.item-text-float .item-content.top-right .button-list,
.item-text-float .item-content.center-right .button-list,
.item-text-float .item-content.bottom-right .button-list {
  justify-content: flex-end;
}

.item-text-float.none .item-content {
  display: none;
}

.item-text-float.hover .item-content {
  display: flex;
  transform: translateY(110%);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.item-text-float.hover:hover .item-content,
.item-text-float.hover:focus-within .item-content {
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.item-text-float.show .item-content {
  display: flex;
}